Subject: Re: This list is now also archived on lore.kernel.org/git

From: Eric Wong <[email-masked]>
Date: Wed, 27 Nov 2019 20:25:31 +0000

Ævar Arnfjörð Bjarmason <[email-masked]> wrote:
> On Wed, Nov 20 2019, Eric Wong wrote:
> > Yup,  .org TLD renewal costs will likely go up and I won't pay
> > higher costs to keep .org domains.
> >
> > The system running public-inbox.org (and the recommended
> > onions(*)) will stay running and will have bleeding edge
> > code on it.
> >
> >
> > * Accessible via Tor, no need to depend on registrars:
> >   http://hjrcffqmbrq6wope.onion/
> >   http://ou63pmih66umazou.onion/
> >   http://czquwvybam4bgbro.onion/
> 
> I think it would make sense for the Git SFC arm of things[1] to consider
> taking over the public-inbox.org domain rather than letting it expire
> (of course contingent on your approval) and turning it into a CNAME (or
> other redirect) for lore.kernel.org.

There's also https://public-inbox.org/meta/ and other (FLOSS-related)
mirrors and the root landing page itself.

> We have a lot of mailing list and some (~130 commits) git.git commit
> references to that domain. It seems like a worthwhile expense to me to
> pay for the renewal of it rather than having it turn into e.g. some spam
> landing page as the registration expires.

One feature I'd like to see in public-inbox and even git
porcelain and web viewers is the ability to rewrite URLs on the
client-side, similar to .mailmap.  It would make sense they all
share the same configuration.

> 1. Disclaimer: I'm one of the people who'd vote on making that decision
>    if it came to that, but this E-Mail is, as they say, just like, my
>    opinion, man :)

Fwiw, I intentionally keep the branding of the public-inbox
project weak (no trademarks, logos, real homepage) because I
believe strong branding and consolidation of influence/identity
leads to centralization.  It's easier to fork projects when
there's no logos, trademarks or other branding to deal with.

I also believe the term "public inbox" is a much more powerful
idea than any project could be.  To that end, I'm happy
SourceHut (and maybe others) also use that term.  The
"public-inbox" project is just one cheapskate's anti-consumerist
interpretation of that idea :>

I pretty much say whatever I can to sabotage my own credibility
as a result.  I'm also shy and introverted, so branding and good
marketing does not compute :P